//Sky
textures/kaso/sp_sky
{
	qer_editorimage textures/kaso/sp_sky.tga
	q3map_sunExt 0.99216 0.95686 0.82353 450 315 50 2 16
	q3map_skyLight 75 3
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	
	skyparms textures/kaso/env/sky 2048 -
	
	nopicmip
	nomipmaps
	
	{
		map textures/kaso/sp_sky.tga
		tcMod scroll 0.002 -0.002
		rgbGen identityLighting
	}
	{
		map textures/kaso/sp_sky_arc_masked.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA
		tcMod transform 0.25 0 0 0.25 0.1075 0.1075
		rgbGen identityLighting
	}
}

//blue water
textures/kaso/sp_deepWater
{
	qer_editorimage textures/kaso/sp_deepWater.tga
	deformVertexes move 0 0 10 sin 0 2 0.3 0.09
	cull none
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm pointlight
	q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )
	{ 
		map textures/kaso/sp_mediumWater.tga
		blendFunc blend
		tcMod scroll .03 0
	}
	{ 
		map textures/kaso/sp_deepWater.tga
		blendFunc blend
		alphaGen vertex
		tcMod scroll .03 0
	}
}

//green water
textures/kaso/sp_mediumWater
{
	qer_editorimage textures/kaso/sp_mediumWater.tga
	deformVertexes move 0 0 10 sin 0 2 0.3 0.09
	cull none
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm pointlight
	q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )
	{ 
		map textures/kaso/sp_mediumWater.tga
		blendFunc blend
		tcMod scroll .03 0
	}
}

//--------------------------terrain--------------------------
textures/kaso/sp_dirtgrass
{
	qer_editorimage textures/kaso/sp_dirtgrass.tga
	surfaceparm gravelsteps
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/kaso/sp_dirtgrass.tga
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
}

textures/kaso/gras_1
{
	qer_editorimage textures/kaso/gras_1.tga
	surfaceparm gravelsteps
	surfaceparm landmine
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/kaso/gras_1.tga
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
}

textures/kaso/gras_2
{
	qer_editorimage textures/kaso/gras_2.tga
	surfaceparm gravelsteps
	surfaceparm landmine
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/kaso/gras_2.tga
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
}

textures/kaso/gras_3
{
	qer_editorimage textures/kaso/gras_3.tga
	surfaceparm gravelsteps
	surfaceparm landmine
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/kaso/gras_3.tga
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
}

textures/kaso/sp_rockwater1
{
	qer_editorimage textures/kaso/sp_rockwater1.tga
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/kaso/sp_rockwater1.tga
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
}

textures/kaso/sp_rock1
{
	qer_editorimage textures/kaso/sp_rock1.tga
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/kaso/sp_rock1.tga
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
}

textures/kaso/sp_sand0
{
	qer_editorimage textures/kaso/sp_sand0.tga
	surfaceparm gravelsteps
	surfaceparm landmine
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/kaso/sp_sand0.tga
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
}

textures/kaso/wall_isigaki
{
	qer_editorimage textures/kaso/wall_isigaki.tga
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/kaso/wall_isigaki.tga
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
}

textures/kaso/kabeishi
{
	qer_editorimage textures/kaso/kabeishi.tga
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/kaso/kabeishi.tga
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
}

textures/kaso/gravel_1
{
	qer_editorimage textures/kaso/gravel_1.tga
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/kaso/gravel_1.tga
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
}

textures/kaso/dirt_s1
{
	qer_editorimage textures/kaso/dirt_s1.tga
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/kaso/dirt_s1.tga
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
}

textures/kaso/foliage_w1
{
	qer_editorimage textures/kaso/foliage_w1.tga
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/kaso/foliage_w1.tga
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
}

textures/kaso/foliage_w1a
{
	qer_editorimage textures/kaso/foliage_w1a.tga
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/kaso/foliage_w1a.tga
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
}

textures/kaso/foliage_w2
{
	qer_editorimage textures/kaso/foliage_w2.tga
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/kaso/foliage_w2.tga
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
}

textures/kaso/foliage_w2a
{
	qer_editorimage textures/kaso/foliage_w2a.tga
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/kaso/foliage_w2a.tga
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
}














//--------------------------concrete--------------------------
textures/kaso/concrete_1
{
	qer_editorimage textures/kaso/concrete_1.tga
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/kaso/concrete_1.tga
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
}

textures/kaso/concrete_2
{
	qer_editorimage textures/kaso/concrete_2.tga
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/kaso/concrete_2.tga
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
}

textures/kaso/concrete_3
{
	qer_editorimage textures/kaso/concrete_3.tga
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/kaso/concrete_3.tga
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
}

textures/kaso/plasternbrickplaster
{
	qer_editorimage textures/kaso/plasternbrickplaster.tga
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/kaso/plasternbrickplaster.tga
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
}

textures/kaso/plasternbrickplaster2
{
	qer_editorimage textures/kaso/plasternbrickplaster2.tga
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/kaso/plasternbrickplaster2.tga
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
}

textures/kaso/plasternbrickplaster3
{
	qer_editorimage textures/kaso/plasternbrickplaster3.tga
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/kaso/plasternbrickplaster3.tga
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
}

textures/kaso/concrete_wall_2
{
	qer_editorimage textures/kaso/concrete_wall_2.tga
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/kaso/concrete_wall_2.tga
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
}

//--------------------------metal--------------------------
textures/kaso/corrugated_metal
{
	qer_editorimage textures/kaso/corrugated_metal.tga
	surfaceparm metalsteps
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/kaso/corrugated_metal.tga
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
}

textures/kaso/metal_2
{
	qer_editorimage textures/kaso/metal_2.tga
	surfaceparm metalsteps
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/kaso/metal_2.tga
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
}

//--------------------------object--------------------------
textures/kaso/containerfr_01
{
	qer_editorimage textures/kaso/containerfr_01.tga
	surfaceparm metalsteps
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/kaso/containerfr_01.tga
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
}

textures/kaso/containerbk_01
{
	qer_editorimage textures/kaso/containerbk_01.tga
	surfaceparm metalsteps
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/kaso/containerbk_01.tga
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
}

textures/kaso/containerup_02
{
	qer_editorimage textures/kaso/containerup_02.tga
	surfaceparm metalsteps
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/kaso/containerup_02.tga
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
}


textures/kaso/amadoi
{
	qer_editorimage textures/kaso/amadoi.tga
	surfaceparm metalsteps
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/kaso/amadoi.tga
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
}

textures/kaso/deskbase
{
	qer_editorimage textures/kaso/deskbase.tga
	surfaceparm metalsteps
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/kaso/deskbase.tga
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
}

textures/kaso/deskbase2
{
	qer_editorimage textures/kaso/deskbase2.tga
	surfaceparm metalsteps
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/kaso/deskbase2.tga
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
}

textures/kaso/deskbase3
{
	qer_editorimage textures/kaso/deskbase3.tga
	surfaceparm metalsteps
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/kaso/deskbase3.tga
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
}

textures/kaso/roof_karawa
{
	qer_editorimage textures/kaso/roof_karawa.tga
	surfaceparm metalsteps
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/kaso/roof_karawa.tga
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
}

textures/kaso/tatami
{
	qer_editorimage textures/kaso/tatami.tga
	surfaceparm metalsteps
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/kaso/tatami.tga
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
}

textures/kaso/fusuma
{
	qer_editorimage textures/kaso/fusuma.tga
	surfaceparm woodsteps
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/kaso/fusuma.tga
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
}



//--------------------------wood-----------------------------
textures/kaso/bauwagen_innen
{
	qer_editorimage textures/kaso/bauwagen_innen.tga
	surfaceparm woodsteps
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/kaso/bauwagen_innen.tga
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
}

textures/kaso/wood_b1
{
	qer_editorimage textures/kaso/wood_b1.tga
	surfaceparm woodsteps
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/kaso/wood_b1.tga
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
}

textures/kaso/wood_b2
{
	qer_editorimage textures/kaso/wood_b2.tga
	surfaceparm woodsteps
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/kaso/wood_b2.tga
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
}
textures/kaso/wood_b3
{
	qer_editorimage textures/kaso/wood_b3.tga
	surfaceparm woodsteps
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/kaso/wood_b3.tga
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
}
textures/kaso/wood_b4
{
	qer_editorimage textures/kaso/wood_b4.tga
	surfaceparm woodsteps
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/kaso/wood_b4.tga
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
}

textures/kaso/wood_k1
{
	qer_editorimage textures/kaso/wood_k1.tga
	surfaceparm woodsteps
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/kaso/wood_k1.tga
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
}
textures/kaso/wood_k2
{
	qer_editorimage textures/kaso/wood_k2.tga
	surfaceparm woodsteps
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/kaso/wood_k2.tga
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
}

textures/kaso/syouji
{
	qer_editorimage textures/kaso/syouji.tga
	surfaceparm woodsteps
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/kaso/syouji.tga
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
}


